Bug 222028 - net-im/sayaka: unbreak build with vala 0.36
Summary: net-im/sayaka: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 15:44 UTC by Carlos J. Puga Medina
Modified: 2017-09-19 18:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sue)


Attachments
patch (1.70 KB, patch)
2017-09-03 15:44 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 15:44:17 UTC
Created attachment 186032 [details]
patch

checking SixelConverter.vala and objdir/SixelConverter.c .. SixelConverter.vala:93.23-93.23: error: The type name `i' could not be found
			uint8 R = (uint8)((i     ) & 0x01) * 255;
			                   ^
SixelConverter.vala:134.23-134.23: error: The type name `i' could not be found
			uint8 R = (uint8)((i     ) & 0x01);
			                   ^
SixelConverter.vala:156.30-156.30: error: The type name `i' could not be found
			Palette[i, 2] = (uint8)(((i     ) & 0x03) * 255 / 3);
			                          ^
Compilation failed: 3 error(s), 0 warning(s)

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/sayaka-3.2.2.log
Comment 1 commit-hook freebsd_committer 2017-09-19 18:52:31 UTC
A commit references this bug:

Author: cpm
Date: Tue Sep 19 18:51:27 UTC 2017
New revision: 450155
URL: https://svnweb.freebsd.org/changeset/ports/450155

Log:
  net-im/sayaka: unbreak build with vala 0.36

  checking SixelConverter.vala and objdir/SixelConverter.c .. SixelConverter.vala:93.23-93.23: error: The type name `i' could not be found
  			uint8 R = (uint8)((i     ) & 0x01) * 255;
  			                   ^
  SixelConverter.vala:134.23-134.23: error: The type name `i' could not be found
  			uint8 R = (uint8)((i     ) & 0x01);
  			                   ^
  SixelConverter.vala:156.30-156.30: error: The type name `i' could not be found
  			Palette[i, 2] = (uint8)(((i     ) & 0x03) * 255 / 3);
  			                          ^
  Compilation failed: 3 error(s), 0 warning(s)

  PR:		222028
  Submitted by:	cpm
  Approved by:	IWAMOTO Kouichi <sue@iwmt.org> (maintainer timeout, 16 days)

Changes:
  head/net-im/sayaka/files/
  head/net-im/sayaka/files/patch-SixelConverter.vala